summaryrefslogtreecommitdiffstats
path: root/network/arptables
diff options
context:
space:
mode:
Diffstat (limited to 'network/arptables')
-rw-r--r--network/arptables/README14
-rw-r--r--network/arptables/arptables.SlackBuild86
-rw-r--r--network/arptables/arptables.info8
-rw-r--r--network/arptables/doinst.sh31
-rw-r--r--network/arptables/slack-desc11
5 files changed, 150 insertions, 0 deletions
diff --git a/network/arptables/README b/network/arptables/README
new file mode 100644
index 0000000000..949ba0c9bf
--- /dev/null
+++ b/network/arptables/README
@@ -0,0 +1,14 @@
+Arptables is used to set up, maintain, and inspect the tables of ARP rules
+in the Linux kernel. It is analogous to iptables, but operates at the ARP
+layer rather than the IP layer.
+
+Currently, only support for specifying hardware addresses for Ethernet
+is available. This tool is not luser-proof: you can specify an Ethernet
+source address and set hardware length to something different than 6, f.e.
+
+arptables was written by Bart De Schuymer based on code from iptables
+
+Arptables Frequently (and less frequently) Asked Questions:
+http://ebtables.sourceforge.net/arptables-faq.html
+
+Note: an /etc/rc.d/init.d/arptables sysv-style script is included.
diff --git a/network/arptables/arptables.SlackBuild b/network/arptables/arptables.SlackBuild
new file mode 100644
index 0000000000..397ba76ec3
--- /dev/null
+++ b/network/arptables/arptables.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for arptables
+# Written by Menno E. Duursma
+# Modified by the SlackBuilds.org project
+
+# This program is free software. It comes without any warranty.
+# Granted WTFPL, Version 2, as published by Sam Hocevar. See
+# http://sam.zoy.org/wtfpl/COPYING for more details.
+
+PRGNAM=arptables
+VERSION=0.0.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-v$VERSION-3
+tar xzvf $CWD/$PRGNAM-v$VERSION-3.tar.gz
+cd $PRGNAM-v$VERSION-3
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
+ -o -perm 400 \) -exec chmod 644 {} \;
+
+# Configure and build
+sed -i -e "s/^\(COPT_FLAGS:=\).*/\1$SLKCFLAGS/" \
+ -e "s#^\(PREFIX:=\).*#\1/usr#" Makefile
+
+mkdir -p $PKG/usr/{man,sbin}
+mkdir -p $PKG/etc/{sysconfig,rc.d/init.d}
+
+make
+
+BINDIR=/usr/sbin \
+SYSCONFIGDIR=/etc \
+make install DESTDIR=$PKG
+
+# Move the init script to .new and let doinst.sh handle it
+( cd $PKG/etc/rc.d/init.d
+ mv -v $PRGNAM $PRGNAM.new
+)
+
+( cd $PKG
+ find . -type f \
+ | xargs file \
+ | grep -e "executable" \
+ -e ELF \
+ | cut -f 1 -d : \
+ | xargs strip --strip-unneeded 2> /dev/null
+)
+
+if [ -d $PKG/usr/man ]; then
+ gzip -9 $PKG/usr/man/man?/*
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README$TAG
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/arptables/arptables.info b/network/arptables/arptables.info
new file mode 100644
index 0000000000..a1b247615a
--- /dev/null
+++ b/network/arptables/arptables.info
@@ -0,0 +1,8 @@
+PRGNAM="arptables"
+VERSION="0.0.3"
+HOMEPAGE="http://ebtables.sourceforge.net/"
+DOWNLOAD="http://dl.sourceforge.net/ebtables/arptables-v0.0.3-3.tar.gz"
+MD5SUM="3f4a8b62920a46d746ab892be7de088f"
+MAINTAINER="Menno E. Duursma"
+EMAIL="druiloor@zonnet.nl"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/network/arptables/doinst.sh b/network/arptables/doinst.sh
new file mode 100644
index 0000000000..e2d05cefb5
--- /dev/null
+++ b/network/arptables/doinst.sh
@@ -0,0 +1,31 @@
+PRGNAM=arptables
+
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+# Keep same permissions on rc files:
+if [ -e etc/rc.d/init.d/$PRGNAM ]; then
+ cp -a etc/rc.d/init.d/$PRGNAM etc/rc.d/init.d/$PRGNAM.new.incoming
+ cat etc/rc.d/init.d/$PRGNAM.new > etc/rc.d/init.d/$PRGNAM.new.incoming
+ mv etc/rc.d/init.d/$PRGNAM.new.incoming etc/rc.d/init.d/$PRGNAM.new
+fi
+config etc/rc.d/init.d/$PRGNAM.new
+
+# Make sure we have the sysv-style configs
+if [ ! -e etc/sysconfig/network ]; then
+ touch etc/sysconfig/network
+fi
+if [ ! -e etc/sysconfig/$PRGNAM ]; then
+ touch etc/sysconfig/$PRGNAM
+fi
+
diff --git a/network/arptables/slack-desc b/network/arptables/slack-desc
new file mode 100644
index 0000000000..6e42b83dc7
--- /dev/null
+++ b/network/arptables/slack-desc
@@ -0,0 +1,11 @@
+arptables: arptables (ARP filter table administration)
+arptables:
+arptables: arptables is a user space tool used to set up and maintain
+arptables: tables of ARP filter rules in the Linux kernel.
+arptables:
+arptables: Only support for specifying hardware addresses for
+arptables: Ethernet is currently available.
+arptables:
+arptables: arptables was written by Bart De Schuymer
+arptables:
+arptables: